Skip to main content
GET
/
fuel
/
entries
/
{id}
Get a fuel entry by id
curl --request GET \
  --url https://app.unitedlogistics.com.do/api/v1/fuel/entries/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/fuel/entries/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.unitedlogistics.com.do/api/v1/fuel/entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "589c258d-4736-4b6f-876f-87835992191e",
    "org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
    "transaction_date": "2026-02-26T03:15:47.000Z",
    "transaction_id": "TXN-9921",
    "notes": null,
    "vehicle_external_id": 16056,
    "vehicle_number": "L18N / L534991",
    "vehicle_name": "L18N",
    "driver_external_id": null,
    "driver_key": null,
    "name": "Juan Pérez",
    "product_id": "f788c39d-02c8-4bd6-aa1a-fa2af011b5a3",
    "product_name": "Diesel Regular",
    "product_type": "Regular",
    "vendor_id": "2f81f423-db0c-46d8-923e-c177fa78a54c",
    "vendor_name": "Estación El Higuero - United Petroleum",
    "vendor_address": "Santo Domingo Norte, DO",
    "gallons": 60.008,
    "price_per_gallon": 224.8,
    "total_cost": 13489.8,
    "odometer_reading": 10997,
    "previous_odometer_reading": 10120,
    "distance_traveled": 877,
    "fuel_efficiency": 14.61,
    "trip_external_id": null,
    "matched_message_id": 6213486243,
    "gps_odometer_reading": 10997.05,
    "karma_driver_id": null,
    "source": "API",
    "reference_id": "300030586",
    "created_by": null,
    "created_at": "2026-02-26T15:30:03.048Z",
    "updated_at": "2026-02-26T15:30:03.048Z"
  }
}
{
"error": {
"code": "unauthorized",
"message": "API key missing or invalid."
}
}
{
"error": {
"code": "not_found",
"message": "Entrada de combustible no encontrada."
}
}
{
"error": {
"code": "too_many_requests",
"message": "Rate limit exceeded."
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Path Parameters

id
string<uuid>
required

Fuel entry UUID.

Response

OK

data
object
required